_Eldbus_Service_Interface_Desc2 Struct Reference
Eldbus » Service

## Data Fields

Eldbus_Service_Interface_Desc | description
int | version
| version of the interface descriptor.
const Eldbus_Method2 * | methods2
| array of the methods that should be registered in this interface, the last item of array should be filled with NULL

## Field Documentation

## version

int _Eldbus_Service_Interface_Desc2::version

version of the interface descriptor.

Must be initialized with ELDBUS_INTERFACE_DESCRIPTOR_VERSION

Since
  1.11 >

Referenced by eldbus_service_interface_fallback_register2(), and eldbus_service_interface_register2().

## methods2

const Eldbus_Method2* _Eldbus_Service_Interface_Desc2::methods2

array of the methods that should be registered in this interface, the last item of array should be filled with NULL

Since
  1.11